- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# oneview_network_set – Manage HPE OneView Network Set resources

New in version 2.4.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Provides an interface to manage Network Set resources. Can create, update, or delete.

## Requirements

The below requirements are needed on the host that executes this module.

- hpOneView >= 4.0.0
- python >= 2.7.9

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
config path |  | Path to a .json configuration file containing the OneView client configuration. The configuration file is optional and when used should be present in the host running the ansible commands. If the file path is not provided, the configuration will be loaded from environment variables. For links to example configuration files or how to use the environment variables verify the notes section.
data - / required |  | List with the Network Set properties.
state - | Choices: present ← absent | Indicates the desired state for the Network Set resource. - `present` will ensure data properties are compliant with OneView. - `absent` will remove the resource from OneView, if it exists.
validate_etag boolean | Choices: no yes ← | When the ETag Validation is enabled, the request will be conditionally processed only if the current ETag for the resource matches the ETag provided in the data.

## Notes

Note

- A sample configuration file for the config parameter can be found at: https://github.com/HewlettPackard/oneview-ansible/blob/master/examples/oneview_config-rename.json
- Check how to use environment variables for configuration at: https://github.com/HewlettPackard/oneview-ansible#environment-variables
- Additional Playbooks for the HPE OneView Ansible modules can be found at: https://github.com/HewlettPackard/oneview-ansible/tree/master/examples
- The OneView API version used will directly affect returned and expected fields in resources. Information on setting the desired API version and can be found at: https://github.com/HewlettPackard/oneview-ansible#setting-your-oneview-version

## Examples

    - name: Create a Network Set
      oneview_network_set:
        config: /etc/oneview/oneview_config.json
        state: present
        data:
          name: OneViewSDK Test Network Set
          networkUris:
            - Test Ethernet Network_1                                       # can be a name
            - /rest/ethernet-networks/e4360c9d-051d-4931-b2aa-7de846450dd8  # or a URI
      delegate_to: localhost

    - name: Update the Network Set name to 'OneViewSDK Test Network Set - Renamed' and change the associated networks
      oneview_network_set:
        config: /etc/oneview/oneview_config.json
        state: present
        data:
          name: OneViewSDK Test Network Set
          newName: OneViewSDK Test Network Set - Renamed
          networkUris:
            - Test Ethernet Network_1
      delegate_to: localhost

    - name: Delete the Network Set
      oneview_network_set:
        config: /etc/oneview/oneview_config.json
        state: absent
        data:
            name: OneViewSDK Test Network Set - Renamed
      delegate_to: localhost

    - name: Update the Network set with two scopes
      oneview_network_set:
        config: /etc/oneview/oneview_config.json
        state: present
        data:
          name: OneViewSDK Test Network Set
          scopeUris:
            - /rest/scopes/01SC123456
            - /rest/scopes/02SC123456
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
network_set dictionary | On state 'present', but can be null. | Has the facts about the Network Set.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Felipe Bulsoni (@fgbulsoni)
- Thiago Miotto (@tmiotto)
- Adriane Cardozo (@adriane-cardozo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.